import { CreateCommandOptionsWithDefaults, CreateCommandOptions, CreateCommandResult } from './Types';
export declare class CreateCommand {
    readonly source: string;
    readonly destination: string;
    readonly options: CreateCommandOptionsWithDefaults;
    private _createCommandResults;
    constructor(source: string, destination: string, options?: CreateCommandOptions);
    private _addCreateCommandResult;
    private _getTemplatesFolderPath;
    private _getSourcePath;
    private _throwTemplatesFolderNotFound;
    private _throwSourcePathNotFound;
    private _getSourceType;
    private _getParsedNamesToReplace;
    private _throwNamesToReplaceIncorrectlyFormatted;
    private _getReplaceContentObject;
    private _throwReplaceContentOptionIncorrectlyFormatted;
    private _throwEmptySourceFolder;
    private _getPathLastPart;
    private _getReplacedName;
    private _getSourceName;
    private _getDestinationPath;
    private _getFileContent;
    private _throwMisusedOptionsError;
    private _createFolderRecursively;
    private _throwAlreadyExistsOnDestination;
    run(): CreateCommandResult[];
}
